// {{{ copyright

/********************************************************************
 *
 * $Id: Invokable.java,v 1.3 2000/06/06 17:00:02 gs Exp $
 *
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Original Code is qfs.de code.
 *
 * The Initial Developer of the Original Code is Gregor Schmid.
 * Portions created by Gregor Schmid are
 * Copyright (C) 1999 Quality First Software, Gregor Schmid.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 *******************************************************************/

// }}}

package de.qfs.lib.command;

/**
 * {@link Command Commands} that implement this interface will be invoked
 * directly by the {@link CommandDistributor CommandDistributor}.
 *
 * @author      Gregor Schmid
 * @version     $Revision: 1.3 $
 */
public interface Invokable
{
    /**
     * Execute the command directly.
     *
     * @return  Whatever the Command decides to return.
     *
     * @throws  CommandException        If something specific to the
     *          execution of the command goes wrong.
     */
    public abstract Object invoke() throws CommandException;
}
