// {{{ copyright

/********************************************************************
 *
 * $Id: ClassWrapperAware.java,v 1.3 2000/06/06 16:41:29 gs Exp $
 *
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Original Code is qfs.de code.
 *
 * The Initial Developer of the Original Code is Gregor Schmid.
 * Portions created by Gregor Schmid are
 * Copyright (C) 1999 Quality First Software, Gregor Schmid.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 *******************************************************************/

// }}}

package de.qfs.lib.util;

/**
 * Classes can implement this interface to signal a {@link ClassWrapper
 * ClassWrapper} that they are aware of (at least some of) their partner
 * classes, overriding the default mechanism of a ClassWrapper when generating
 * a wrapper class.
 *
 * @author      Gregor Schmid
 * @version     $Revision: 1.3 $
 */
public interface ClassWrapperAware
{
    /**
     * Get the Class that should be used as a wrapper for this object.
     *
     * @param   suffix  The suffix that the ClassWrapper would use to
     *                  create the name of the wrapper class.
     *
     * @return  The wrapper class or null to signal that the object doesn't
     *          know what to do with this suffix.
     */
    public Class getWrapperClass(String suffix);
}
