// {{{ copyright

/********************************************************************
 *
 * $Id: ExceptionHandler.java,v 1.5 2000/06/06 16:41:29 gs Exp $
 *
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Original Code is qfs.de code.
 *
 * The Initial Developer of the Original Code is Gregor Schmid.
 * Portions created by Gregor Schmid are
 * Copyright (C) 1999 Quality First Software, Gregor Schmid.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 *******************************************************************/

// }}}

package de.qfs.lib.util;

/**
 * A handler for exceptions. <p>
 *
 * One of its intended uses is to handle Exceptions that occur on the AWT's
 * EventDispatchThread by installing it in the {@link
 * de.qfs.lib.gui.EventQueue EventQueue} (works only with JDK 1.2 and above).
 * Another use is to handle Exceptions for a {@link
 * de.qfs.lib.command.CommandDistributor CommandDistributor}.
 *
 * @author      Gregor Schmid
 * @version     $Revision: 1.5 $
 */
public interface ExceptionHandler
{
    /**
     * Handle an exception.
     *
     * @param   throwable       The exception.
     *
     * @return  True if the exception was handled, false otherwise.
     */
    public boolean handleException(Throwable throwable);
}
