REM ----------------------------------------------------------------------
REM This batch file compiles the qflib sources and creates the jar
REM file for your JDK version.
REM
REM please set the variable JDK to either 11 for JDK 1.1 or 12 for
REM JDK 1.2 or 1.3, according to your installed JDK.
REM ----------------------------------------------------------------------

SET JDK=12

REM ----------------------------------------------------------------------
REM Leave RMICFLAGS empty for JDK 1.1 and set it to -v1.1 for JDK 1.2
REM ----------------------------------------------------------------------

SET RMICFLAGS=-v1.1

REM ----------------------------------------------------------------------
REM No more changes should be necessary below this line
REM ----------------------------------------------------------------------

cd de\qfs\lib
copy *.java_%JDK% *.java
cd ..\..\..

cd de\qfs\lib\command
copy *.java_%JDK% *.java
cd ..\..\..\..

cd de\qfs\lib\config
copy *.java_%JDK% *.java
cd ..\..\..\..

cd de\qfs\lib\gui
copy *.java_%JDK% *.java
cd ..\..\..\..

cd de\qfs\lib\log
copy *.java_%JDK% *.java
cd ..\..\..\..

cd de\qfs\lib\logrmi
copy *.java_%JDK% *.java
cd ..\..\..\..

cd de\qfs\lib\option
copy *.java_%JDK% *.java
cd ..\..\..\..

cd de\qfs\lib\transaction
copy *.java_%JDK% *.java
cd ..\..\..\..

cd de\qfs\lib\util
copy *.java_%JDK% *.java
cd ..\..\..\..

javac -d ..\classes -classpath .;%CLASSPATH% de\qfs\lib\*.java de\qfs\lib\command\*.java de\qfs\lib\config\*.java de\qfs\lib\gui\*.java de\qfs\lib\log\*.java de\qfs\lib\logrmi\*.java de\qfs\lib\option\*.java de\qfs\lib\transaction\*.java de\qfs\lib\util\*.java

rmic %RMICFLAGS% -classpath ..\classes;%CLASSPATH% -d ..\classes de.qfs.lib.logrmi.LogClientImplBase de.qfs.lib.logrmi.RemoteLogLevelCallbackImplBase de.qfs.lib.logrmi.RemoteLogLevelListenerImplBase de.qfs.lib.logrmi.LogListenerImplBase de.qfs.lib.logrmi.LogServerImplBase

xcopy /e /i de\qfs\lib\resources ..\classes\de\qfs\lib\resources

cd ..\classes

jar cfv ..\qflib_%JDK%.jar de

cd ..\src
